# Uses of Class
org.eclipse.birt.report.model.api.validators.ValidationEvent

Packages that use ValidationEvent
Package
Description
org.eclipse.birt.report.model.api.validators
Provides the validation classes for semantic check on multiple properties.

## Uses of ValidationEvent in org.eclipse.birt.report.model.api.validators

Methods in org.eclipse.birt.report.model.api.validators with parameters of type ValidationEvent
Modifier and Type
Method
Description
`void`
IValidationListener.`elementValidated(DesignElementHandle targetElement, ValidationEvent ev)`
Notifies the element is validated.